-- Greg Stitt
-- University of Florida
-- EEL 5934/4930 Reconfigurable Computing
--
-- File: le.vhd
--
-- Description: This file implements a less than or equal (LE) comparator.

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

entity LE is
  generic (width       :     natural := 32);
  port( input1, input2 : in  unsigned(width-1 downto 0);
        le             : out std_logic );
end LE;

architecture bhv of LE is
begin
  process(input1, input2)
  begin
    if (input1 <= input2) then
      le       <= '1';
    else
      le       <= '0';
    end if;
  end process;
end bhv;
