-- Greg Stitt
-- University of Florida
-- EEL 5934/4930 Reconfigurable Computing
--
-- File: mux.vhd
--
-- Description: This file implements a 2 to 1 mux.

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

entity MUX_2_1 is
  generic (width       :     natural := 32);
  port( input1, input2 : in  unsigned(width-1 downto 0);
        sel            : in  std_logic;
        output         : out unsigned(width-1 downto 0));
end MUX_2_1;

architecture bhv of MUX_2_1 is
begin
  process(input1, input2, sel)
  begin
    case sel is
      when '1'    => output <= input1;
      when '0'    => output <= input2;
      when others => null;
    end case;
  end process;
end bhv;
